com.microfocus.awm.control.internal

## Class ResourceOperationProcessor

- java.lang.Object
- - com.microfocus.awm.control.internal.AbstractResourceOperationProcessor
  - - com.microfocus.awm.control.internal.ResourceOperationProcessor

-     public class ResourceOperationProcessor
      extends AbstractResourceOperationProcessor

  Class for handling resource (`IElementListEntry` und `IElementList`) operations.
  Author:
    Ralf Pakosch
  See Also:
    `ResourceOperation`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceOperationProcessor()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IElementListEntry>` | `getEntriesToSelect()` Returns a list of element list entries which should be selected after a resource operation was executed.
    `static IElementListEntry` | `insertNewElementEntry(java.lang.String pNewEleID, IElementListEntry pReferenceEntry, ElementType pNewEleType, IElementList pElmList, java.util.Collection<IPropertyValue> pProperties, boolean pInsertChild, ISystemImage pSystemImage)` Creates a new element list entry and adds it to the element list.

    - ### Methods inherited from class com.microfocus.awm.control.internal.AbstractResourceOperationProcessor

      `didErrorsOccur, doResourceProcessing`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceOperationProcessor

          public ResourceOperationProcessor()

  - ### Method Detail

    - #### insertNewElementEntry

          public static IElementListEntry insertNewElementEntry(java.lang.String pNewEleID,
                                                                IElementListEntry pReferenceEntry,
                                                                ElementType pNewEleType,
                                                                IElementList pElmList,
                                                                java.util.Collection<IPropertyValue> pProperties,
                                                                boolean pInsertChild,
                                                                ISystemImage pSystemImage)
                                                         throws TaurusCoreException

      Creates a new element list entry and adds it to the element list. The properties will be added accordingly to the entry or the element, depending whether they are modeled as element properties.
      Parameters:
        `pNewEleID` - the new element ID
        `pReferenceEntry` - a reference entry of the element list
        `pNewEleType` - the element type of the entry
        `pElmList` - the target element list
        `pProperties` - properties of the new entry/element
        `pInsertChild` - whether the entry should be added as a child in tree tables
        `pSystemImage` - the currently used system image
      Returns:
        the newly
      Throws:
        `TaurusCoreException` - if creating the new entry fails

    - #### getEntriesToSelect

          public java.util.List<IElementListEntry> getEntriesToSelect()

      Returns a list of element list entries which should be selected after a resource operation was executed.
      Returns:
        a list of element list entries to be selected.

Copyright © 2015 Micro Focus GmbH. All rights reserved.